user:
{ ... }: {
  programs.git = {
    enable = true;
    userName = user.git.name;
    userEmail = user.git.email;
    delta = {
      enable = true;
      options = {
        theme = "base16";
      };
    };
    extraConfig = {
      diff = {
        compactionHeuristic = true;
      };
      pull = {
        rebase = true;
      };
      push = {
        default = "simple";
      };
    };
  };
}
